Subject: bug#12044: 24.1; ls does not support --dired

From: Peter Dyballa <[email-masked]>
Date: Mon, 30 Jul 2012 20:34:56 +0200

Am 30.07.2012 um 01:38 schrieb Glenn Morris:

> Please give the details of how it "fails to work".

It reports

	ls does not support --dired; see `dired-use-ls-dired' for more details.

but produces somehow a good directory listing with file names like (where the umlauts cannot be found, but that's another problem probably):

  -rw-r--r--   1 pete  admin       17 25 Mär  2010 o₂
  -rw-rw-r--@  1 pete  admin    32216 17 Nov  2002 RGB äöüæÆÜÖÄ.txt

Maybe I am misinterpreting this message. I am concerned because I had prepared for GNU Emacsen 23 and 24 customisation à la

	 '(dired-listing-switches "-ahlN")

which are only OK for gls. Previously I could simply

	(setq dired-use-ls-dired "gls --dired")

now it's getting a bit confusing. Is gls found and used or is the ls emulation doing the job? It would be an improvement when GNU Emacs would also report what it will use to generate the dired buffers.

> 
> Note that
> 
> ls -dired
> 
> is equivalent to
> 
> ls -d -i -r -e -d
> 
> for any sane implementation of ls, ie not relevant.

I see!

--
Greetings

  Pete

Don't just do something, sit there.